Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
win32ole_variant.h File Reference

Go to the source code of this file.

## Functions
void | ole_variant2variant (VALUE val, VARIANT *var)
void | Init_win32ole_variant (void)

## Variables
VALUE | cWIN32OLE_VARIANT

## Function Documentation

## ◆ Init_win32ole_variant()

void Init_win32ole_variant | ( | void |  | ) |

Definition at line 693 of file win32ole_variant.c.

References cWIN32OLE_VARIANT, rb_cObject, rb_define_alloc_func(), and rb_define_class().

## ◆ ole_variant2variant()

void ole_variant2variant | ( | VALUE | val,
|  | VARIANT * | var
| ) |  |

Definition at line 685 of file win32ole_variant.c.

References TypedData_Get_Struct.

Referenced by ole_val2variant().

## Variable Documentation

## ◆ cWIN32OLE_VARIANT

VALUE cWIN32OLE_VARIANT

Definition at line 4 of file win32ole_variant.h.

Referenced by Init_win32ole_variant(), and ole_val2variant().